Bug 805682 - SELinux is preventing /usr/libexec/tracker-store from 'write' accesses on the directory /home/amir/.cache/tracker.
SELinux is preventing /usr/libexec/tracker-store from 'write' accesses on the...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
abrt_hash:58f0042f18ead3c8e0fec11ab50...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 16:03 EDT by Amir Hedayaty
Modified: 2013-07-31 13:30 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 13:30:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amir Hedayaty 2012-03-21 16:03:58 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-1.fc17.x86_64
reason:         SELinux is preventing /usr/libexec/tracker-store from 'write' accesses on the directory /home/amir/.cache/tracker.
time:           Wed 21 Mar 2012 01:03:17 PM PDT

description:
:SELinux is preventing /usr/libexec/tracker-store from 'write' accesses on the directory /home/amir/.cache/tracker.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that tracker-store should be allowed write access on the tracker directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep tracker-store /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:system_r:abrt_helper_t:s0-s0:c0.c1023
:Target Context                unconfined_u:object_r:cache_home_t:s0
:Target Objects                /home/amir/.cache/tracker [ dir ]
:Source                        tracker-store
:Source Path                   /usr/libexec/tracker-store
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           tracker-0.14.0-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-104.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-1.fc17.x86_64 #1 SMP Mon
:                              Mar 19 03:03:39 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Wed 21 Mar 2012 01:02:42 PM PDT
:Last Seen                     Wed 21 Mar 2012 01:02:42 PM PDT
:Local ID                      bd32391b-1cb0-44c7-82d3-e0a2bbb2918b
:
:Raw Audit Messages
:type=AVC msg=audit(1332360162.121:199): avc:  denied  { write } for  pid=1913 comm="tracker-store" name="tracker" dev="sda3" ino=262263 scontext=unconfined_u:system_r:abrt_helper_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:cache_home_t:s0 tclass=dir
:
:
:type=AVC msg=audit(1332360162.121:199): avc:  denied  { add_name } for  pid=1913 comm="tracker-store" name="ontologies.gvdb.ECSLBW" scontext=unconfined_u:system_r:abrt_helper_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:cache_home_t:s0 tclass=dir
:
:
:type=AVC msg=audit(1332360162.121:199): avc:  denied  { create } for  pid=1913 comm="tracker-store" name="ontologies.gvdb.ECSLBW" scontext=unconfined_u:system_r:abrt_helper_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:cache_home_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1332360162.121:199): arch=x86_64 syscall=open success=yes exit=EXDEV a0=2741ed0 a1=c2 a2=1b6 a3=0 items=0 ppid=1208 pid=1913 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=3 comm=tracker-store exe=/usr/libexec/tracker-store subj=unconfined_u:system_r:abrt_helper_t:s0-s0:c0.c1023 key=(null)
:
:Hash: tracker-store,abrt_helper_t,cache_home_t,dir,write
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-03-21 16:27:45 EDT
Abrt should not be writing in the users homedir.
Comment 2 Fedora End Of Life 2013-07-03 15:13:24 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 13:30:14 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.